apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: exporter-app
  namespace: default
spec:
  project: default

  source:
    repoURL: git@gitlab.com:biswadeep.das2015/exporter.git
    targetRevision: HEAD
    path: apps
  destination: 
    server: https://kubernetes.default.svc
    namespace: default

  syncPolicy:
    syncOptions:
    - CreateNamespace=true

    automated:
      selfHeal: true
      prune: true
